%global project qutepart

Name:           python-%{project}
Version:        2.2.2
Release:        1%{?dist}
Summary:        Code editor widget for PyQt
Group:          Development/Libraries

License:        LGPLv2
URL:            https://github.com/hlamer/%{project}

Source0:        %{url}/archive/v%{version}.tar.gz#/%{project}-%{version}.tar.gz

BuildRequires:  pcre-devel
BuildRequires:  PyQt4
BuildRequires:  python2-devel >= 2.7
BuildRequires:  python-setuptools
Requires:       pcre
Requires:       PyQt4
Requires:       python2 >= 2.7


%description
Qutepart is a code editor widget for PyQt. Features:
    - Syntax highlighting for 196 languages.
    - Smart indentation for many languages.
    - Line numbers.
    - Bookmarks.
    - Advanced edit operations.
    - Matching braces highlighting.
    - Autocompletion based on document content.
    - Marking too long lines with red line.
    - Rectangular selection and copy-paste.
    - Linter marks support.


%prep
%setup0 -q -n %{project}-%{version}


%build
CFLAGS="%{optflags}" %{__python2} setup.py build


%install
%{__python2} setup.py install --skip-build --root %{buildroot}


%files
%license LICENSE
%doc README.md
%{python2_sitearch}/%{project}*


%changelog
* Fri Aug 28 2015 Jairo Llopis <yajo.sk8@gmail.com> 2.2.2-1
- New upstream version.

* Wed Aug 26 2015 Jairo Llopis <yajo.sk8@gmail.com> 2.2.0-7
- Fix some permissions.
- Remove Spanish descriptions, for easier maintenance.

* Mon May 4 2015 Jairo Llopis <yajo.sk8@gmail.com> 2.2.0-6
- Fix license macro in SPEC.
- Fix a couple of redundancies in SPEC.

* Thu Apr 30 2015 Jairo Llopis <yajo.sk8@gmail.com> 2.2.0-5
- New upstream version.
- Clear SPEC redundancies.
- Force usage of Python 2 macros in SPEC.

* Fri Feb 6 2015 Jairo Llopis <yajo.sk8@gmail.com> 2.1.0-4
- New upstream version.
- Update descriptions and dependencies to match upstream SPEC.
- Remove support for Fedora < 20.

* Mon Jul 7 2014 Jairo Llopis <yajo.sk8@gmail.com> 1.3.0-3
- New upstream version.
- Fix typo.

* Fri Oct 25 2013 Jairo Llopis <yajo.sk8@gmail.com> 1.1.0-2
- Fix comments.
- Fix translation.
- Fix CFLAGS when building.
- Fix license.

* Sun Sep 8 2013 Jairo Llopis <yajo.sk8@gmail.com>  1.1.0-1
- Initial release.
